Bug 1289100 - oo-install fails - ValueError: zero length field name in format
oo-install fails - ValueError: zero length field name in format
Status: CLOSED WORKSFORME
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
2.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Timothy Williams
Xiaoli Tian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 07:47 EST by Evgheni Dereveanchin
Modified: 2016-09-08 15:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-08 15:28:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oo-install-ose.tgz as of 2015.12.07 (4.08 MB, application/x-tar)
2015-12-07 07:49 EST, Evgheni Dereveanchin
no flags Details

  None (edit)
Description Evgheni Dereveanchin 2015-12-07 07:47:19 EST
Description of problem:
When installing OpenShift Enterprise 2 using the Installation Utility the process fails with error:

...
  File "/tmp/oo-install-ose-20151120-1912/lib/python2.6/site-packages/ooinstall/oo_config.py", line 53, in set_defaults
    self.settings['ansible_callback_facts_yaml'] = '{}/callback_facts.yaml'.format(self.settings['ansible_inventory_directory'])
ValueError: zero length field name in format


Version-Release number of selected component (if applicable):
current

How reproducible:
Always

Steps to Reproduce:
1. install latest RHEL6 minimal
2. install dependencies (yum install python-virtualenv openssh-clients gcc)
3. run the installer, either online or via download:
 3.a. 
   sh <(curl -s https://install.openshift.com/ose/)
 3.b. 
   curl -o oo-install-ose.tgz https://install.openshift.com/portable/oo-install-ose.tgz
   tar -zxf oo-install-ose.tgz
   ./oo-install-ose

Actual results:
#  ./oo-install-ose 
Checking for necessary tools...
Using bundled assets.
Extracting oo-install to /tmp/oo-install-ose-20151120-1912...
Preparing to install.  This can take a minute or two...
Traceback (most recent call last):
  File "/tmp/oo-install-ose-20151120-1912/bin/oo-install", line 9, in <module>
    load_entry_point('ooinstall==3.0.0', 'console_scripts', 'oo-install')()
  File "/tmp/oo-install-ose-20151120-1912/lib/python2.6/site-packages/click/core.py", line 664, in __call__
    return self.main(*args, **kwargs)
  File "/tmp/oo-install-ose-20151120-1912/lib/python2.6/site-packages/click/core.py", line 644, in main
    rv = self.invoke(ctx)
  File "/tmp/oo-install-ose-20151120-1912/lib/python2.6/site-packages/click/core.py", line 837, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/tmp/oo-install-ose-20151120-1912/lib/python2.6/site-packages/click/core.py", line 464, in invoke
    return callback(*args, **kwargs)
  File "/tmp/oo-install-ose-20151120-1912/lib/python2.6/site-packages/ooinstall/cli_installer.py", line 253, in main
    oo_cfg = OOConfig(configuration)
  File "/tmp/oo-install-ose-20151120-1912/lib/python2.6/site-packages/ooinstall/oo_config.py", line 41, in __init__
    self.set_defaults()
  File "/tmp/oo-install-ose-20151120-1912/lib/python2.6/site-packages/ooinstall/oo_config.py", line 53, in set_defaults
    self.settings['ansible_callback_facts_yaml'] = '{}/callback_facts.yaml'.format(self.settings['ansible_inventory_directory'])
ValueError: zero length field name in format
Removing temporary assets.
Please see /tmp/oo-install-ose-20151120-1912.log for full output.

Expected results:
installer works

Additional info:
Documentation followed:
https://access.redhat.com/documentation/en-US/OpenShift_Enterprise/2/html/Deployment_Guide/chap-Deployment_Methods.html#Using_the_Installation_Utility

when running the installer script line-by-line all the required software was able to install fine, this line fails:
oo-install --ansible-playbook-directory ${TMPDIR}/oo-install-ose-20151120-1912/openshift-ansible-*/ --ansible-log-path $OO_INSTALL_LOG

Is it trying to install OSEv3 instead? On my box the resulting path is:
/tmp/oo-install-ose-20151120-1912/openshift-ansible-3.0.2-2/
Comment 1 Evgheni Dereveanchin 2015-12-07 07:49 EST
Created attachment 1103215 [details]
oo-install-ose.tgz as of 2015.12.07

Attached contents of https://install.openshift.com/portable/oo-install-ose.tgz as of now.
Comment 3 Timothy Williams 2016-09-08 15:28:10 EDT
I can confirm that the latest build '20160713-1959' does not have this issue.

Note You need to log in before you can comment on or make changes to this bug.